## ecaccess 4.0.0

=== debian/changelog ===
ecaccess (4.0.0-3) unstable; urgency=low

  * Disable tests as they require internet activity. Closes: #674909. 
  * Now in source format 3.0 (quilt)

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 07 Jun 2012 12:38:35 +0100

ecaccess (4.0.0-2) unstable; urgency=low

  * Ensure all perl packages are hard-written into Build-Depends and
    Depends fields.  Closes: #669529.

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 19 Apr 2012 19:38:17 +0100

ecaccess (4.0.0-1) unstable; urgency=low

  * Initial release. (Closes: #668598)

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 16 Apr 2012 20:58:41 +0100
