=== debian/control ===
Source:  ecaccess
Section: science
Priority: optional
Maintainer: Alastair McKinstry <mckinstry@debian.org>
Standards-Version: 3.9.3
Homepage: http://www.ecmwf.int/services/ecaccess
Build-Depends: perl, debhelper (>= 8.1.3~),  libclass-inspector-perl, libgetopt-long-descriptive-perl, libnet-http-perl, perl-modules, 
 liburi-encode-perl, libterm-readkey-perl, libterm-readline-perl-perl, libterm-progressbar-perl, libterm-prompt-perl, libnumber-bytes-human-perl,
 libmime-base64-urlsafe-perl, libcrypt-ssleay-perl, libsoap-lite-perl, libio-socket-inet6-perl, libio-socket-ssl-perl

Package: ecaccess
Architecture: all
Depends: debhelper (>= 8.1.3), perl, ${misc:Depends}, libclass-inspector-perl, libgetopt-long-descriptive-perl, libnet-http-perl, perl-modules,
 liburi-encode-perl, libterm-readkey-perl, libterm-readline-perl-perl, libterm-progressbar-perl, libterm-prompt-perl, libnumber-bytes-human-perl,
 libmime-base64-urlsafe-perl, libcrypt-ssleay-perl, libsoap-lite-perl, libio-socket-inet6-perl, libio-socket-ssl-perl
Description: clients to access ECMWF facilities
 ecaccess is a suite of client tools to enable access to the computing
 and data archive facilities of the European Centre for Medium-Range
 Forecasts (ECMWF).
 .
 Strict authentication is performed in a uniform way using SecurID cards
 and standard (X509) certificates. 
 SSL is used to guarantee the integrity of the application data, 
 the transferred jobs and the monitoring information.
