=== debian/rules ===
#!/usr/bin/make -f

# export DH_VERBOSE=1

# The magic debhelper  rule
%:
	dh $@ 

override_dh_auto_test check:
	@echo "Tests disabled: no internet access  during builds"
