## ecaccess 4.0.1

=== debian/changelog ===
ecaccess (4.0.1-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version: 3.9.5. No changes required.
  * Now use debhelper compat=9
  * Now in source 3.0 (quilt) format.

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 11 Dec 2013 16:14:33 +0000
