## ecaccess 6.3.1

=== debian/changelog ===
ecaccess (6.3.1-1) unstable; urgency=medium

  * Team upload.
  * Maintain package in Debian Science team
  * Fix Homepage
    Closes: #977791
  * Add watch file
  * d/copyright: DEP5
  * New upstream version
  * Standards-Version: 4.7.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/control (routine-update)
  * Remove trailing whitespace in debian/rules (routine-update)
  * Remove (Build-)Depends: perl-modules
  * Fix clean target
    Closes: #1044830

 -- Andreas Tille <tille@debian.org>  Wed, 22 Oct 2025 16:39:25 +0200

ecaccess (4.0.1-1.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Tue, 05 Jan 2021 01:13:02 +0100
