=== debian/control ===
Source: ecaccess
Standards-Version: 4.7.2
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Alastair McKinstry <mckinstry@debian.org>,
Section: science
Priority: optional
Build-Depends:
 perl,
 debhelper-compat (= 13),
 libclass-inspector-perl,
 libgetopt-long-descriptive-perl,
 libnet-http-perl,
 liburi-encode-perl,
 libterm-readkey-perl,
 libterm-readline-perl-perl,
 libterm-progressbar-perl,
 libterm-prompt-perl,
 libnumber-bytes-human-perl,
 libmime-base64-urlsafe-perl,
 libcrypt-ssleay-perl,
 libsoap-lite-perl,
 libio-socket-inet6-perl,
 libio-socket-ssl-perl,
Vcs-Browser: https://salsa.debian.org/science-team/ecaccess
Vcs-Git: https://salsa.debian.org/science-team/ecaccess.git
Homepage: https://confluence.ecmwf.int/display/ECAC/ECaccess+Home

Package: ecaccess
Architecture: all
Depends:
 debhelper-compat (= 13),
 ${perl:Depends},
 ${misc:Depends},
 libclass-inspector-perl,
 libgetopt-long-descriptive-perl,
 libnet-http-perl,
 liburi-encode-perl,
 libterm-readkey-perl,
 libterm-readline-perl-perl,
 libterm-progressbar-perl,
 libterm-prompt-perl,
 libnumber-bytes-human-perl,
 libmime-base64-urlsafe-perl,
 libcrypt-ssleay-perl,
 libsoap-lite-perl,
 libio-socket-inet6-perl,
 libio-socket-ssl-perl,
Description: clients to access ECMWF facilities
 ecaccess is a suite of client tools to enable access to the computing
 and data archive facilities of the European Centre for Medium-Range
 Forecasts (ECMWF).
 .
 Strict authentication is performed in a uniform way using SecurID cards
 and standard (X509) certificates.
 SSL is used to guarantee the integrity of the application data,
 the transferred jobs and the monitoring information.
debhelper-version: 13
