=== debian/watch ===
Version: 5

Source: https://confluence.ecmwf.int/display/ECAC/Releases+-+Web+Toolkit
Matching-Pattern: .*/@PACKAGE@-webtoolkit-perl-src-@ANY_VERSION@@ARCHIVE_EXT@.*
